<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="BusquedaClientes.aspx.cs" Inherits="Seven.Front.BusquedaClientes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("BusquedaClientes") %> [1.4]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        function MensajesButtonFormatter(cellvalue, options, rowObject) {
            var idname = options.rowId;
            var img = "balloon-box.png";
            if (rowObject[11] === "M")
            {
                img = "balloon-box-orange.png";
            }
            return "<button type='button' onclick='DialogoMensajes(" + rowObject[0] + ", " + rowObject[1] + ");'><img src='img/" + img + "' /></button>";
        };

        <% /* Código del jqGrid para BC */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetBC() {
            $.ajax({
                url: 'Servicio.svc/GetBusquedaClientes',
                data: {
                    "Fil_nombre": $("input[name=cbFil_nombre]:checked").val(), "vFil_nombre": $('#txtFil_nombre').val()
                    , "principio": $('#cbPrincipio:checked').val()
                    , "Fil_id_naci": $("input[name=cbFil_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidad').val()
                    , "Fil_id_habi": $("input[name=cbFil_id_habi]:checked").val(), "vFil_id_habi": $('#cbHabitacion').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgBC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgBC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgBC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridBC() {

            var lselBC;
            var colMap = {};
            $("#jqgBC").jqGrid({
                datatype: 'local',
                height: 300,
                width: 700,
                colNames: ['', '', '<%=L.LBL("LblGENName") %>', '<%=L.LBL("LblFDKHabAbbr") %>', '<%=L.LBL("LblFDKNacAbbr") %>'
                    , '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblFDKSalida") %>', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_face', index: 'id_face', width: 10, editable: true, search: false, hidden: true },
                            {
                                name: 'nombre', index: 'nombre', width: 21, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            {
                                name: 'habitacion', index: 'habitacion', width: 5, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            {
                                name: 'nacionalidad', index: 'nacionalidad', width: 5, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            {
                                name: 'contrato', index: 'contrato', width: 10, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            {
                                name: 'fentrada', index: 'fentrada', width: 6, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            {
                                name: 'fsalida', index: 'fsalida', width: 6, editable: true,
                                cellattr: function (rowId, val, rawObject) {
                                    return ' title="' + rawObject[10] + '"';
                                }
                            },
                            { name: 'vip', index: 'vip', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_naci', index: 'id_naci', width: 10, editable: true, search: false, hidden: true },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, search: false, hidden: true },
                            { name: 'mens', index: 'mens', width: 10, editable: true, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 3, editable: false, search: false, formatter: MensajesButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselBC) && !isNaN(id)) {
                            $("#jqgBC").jqGrid('delRowData', lselBC);
                            //$('#jqgBC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgBC").jqGrid('getRowData', id);

                            $('#jqgBC').jqGrid('restoreRow', lselBC);

                            $('#IdSubElementBC').val(ret.Id);
                            $('#IdSubElement').val(ret.id_face);
                        }

                        lselBC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselBC)) {
                            $("#jqgBC").jqGrid('delRowData', lselBC);
                            $('#jqgBC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgBC').jqGrid('saveRow', lselBC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgBC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgBC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextBC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconBC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextBC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconBC').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgBC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementBC').val()) == 0) {
                            $('#IdSubElementBC').val($("#jqgBC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgBC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgBC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgBC').jqGrid('setSelection', $('#IdSubElementBC').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridBC() {
            $("#jqgBC").jqGrid("setGridParam", { datatype: "json", datatype: GetBC, loadonce: true });
            $("#jqgBC").trigger("reloadGrid");
            $("#jqgBC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ05 */ %>

        <% /* Código del jqGrid para Mensajes */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetMENS() {
            GetMENSFiltro(0);
        }

        function GetMENSFiltro(id) {
            $.ajax({
                url: 'Servicio.svc/GetMensajes',
                data: { "id_face": $('#IdSubElement').val(), "id_mens": id, "Eliminado": $('#cbEliminadoMENS:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando5").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando5").dialog('close');
                    try
                    {
                        if(parseInt(id) == 0)
                        {
                            $("#jqgMENS").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                            var thegrid = $("#jqgMENS")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgMENS").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                        }
                        else
                        {
                            $('#HidMENS').html(json.d);
                            LoadFormMENS();
                        }
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutMENS(eli) {
            $.ajax({
                url: 'Servicio.svc/PutMensajes',
                data: {
                    "id_mens": $('#IdSubElementMENS').val(), "id_face": $('#IdSubElement').val(), "de": $('#txtDe').val()
                    , "texto": $('#txtMensaje').val(), "responder_a": $('#txtResponderA').val(), "fecha_hora": $('#txtRecibido').val()
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var id = $('#IdSubElementMENS').val();
                    var res = json.d;
                    if (res > 0) {
                        if (eli == 1) {
                            $('#IdSubElementMENS').val(0);
                            BotonDefaultMENS();
                            RefreshGridMENS();
                        }
                        else {
                            if (id > 0) {
                                BotonDefaultMENS();
                                RefreshGridMENS();
                            }
                            else {
                                $('#IdSubElementMENS').val(res);
                                BotonDefaultMENS();
                                RefreshGridMENS();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridMENS() {

            var lselMENS;
            var colMap = {};
            $("#jqgMENS").jqGrid({
                datatype: 'local',
                height: 275,
                width: 140,
                colNames:  ['', '<%=L.LBL("LblFDKMensajeDe") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: false, search:false }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselMENS) && !isNaN(id)) {
                            $("#jqgMENS").jqGrid('delRowData', lselMENS);
                            //$('#jqgMENS').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgMENS").jqGrid('getRowData', id);

                            $('#jqgMENS').jqGrid('restoreRow', lselMENS);

                            $('#IdSubElementMENS').val(ret.Id);
                            GetMENSFiltro(ret.Id);
                        }
                        else {
                            BotonNuevoMENS();
                        }

                        $('#jqgMENS').jqGrid('editRow', id, true, EventsMENS);

                        lselMENS = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselMENS)) {
                            $("#jqgMENS").jqGrid('delRowData', lselMENS);
                            $('#jqgMENS').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgMENS').jqGrid('saveRow', lselMENS);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgMENS').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgMENS").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextMENS').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconMENS').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextMENS').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconMENS').attr("src", "img/cross-script.png");
                        }

                        $('#jqgMENS').jqGrid('setSelection', id);

                        BotonSelectMENS();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgMENS").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementMENS').val()) == 0) {
                            $('#IdSubElementMENS').val($("#jqgMENS").getCell(rows[i], "Id"));
                        }

                        var status = $("#jqgMENS").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgMENS").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgMENS').jqGrid('setSelection', $('#IdSubElementMENS').val());
                    if (parseInt($('#IdSubElementMENS').val()) != 0) {
                        BotonSelectMENS();
                    }
                },
                //rowNum: 50,
                rowNum: 99999999,
                rowTotal: 99999999,
                //rowList: [20, 30, 50],
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorMENS',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true//,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                //editurl:"Dummy.aspx"
            });

            //$("#jqgMENS").jqGrid('navGrid','#PaginadorMENS',{del:false,add:false,edit:false,search:false});
            $("#bsdataMENS").click(function () {
                jQuery("#jqgMENS").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function LoadFormMENS()
        {
            $('#txtDe').val($('#hidMENS_de').val());
            $('#txtResponderA').val($('#hidMENS_responder_a').val());
            $('#txtRecibido').val($('#hidMENS_fecha_hora').val());
            $('#txtMensaje').val($('#hidMENS_texto').val());
            $('#UsuarioMens').html($('#hidMENS_operador').val());
            $('#UsuarioMensMod').html($('#hidMENS_operador_mod').val());
        }

        function ResetFormMENS()
        {
            $('#txtDe').val('');
            $('#txtResponderA').val('');
            <%--$('#txtRecibido').val('<%=String.Format("{0:d}", DateTime.Now) + " " + String.Format("{0:HH:mm:ss}", DateTime.Now) %>');--%>
            $("#txtRecibido").datetimepicker("setDate", new Date());
            $('#txtMensaje').val('');
            $('#UsuarioMens').html('');
            $('#UsuarioMensMod').html('');
        }

        function EventsMENS(id) {
            $("#" + id + "_id_face").on('change', function () { BotonGuardarMENS(); });
            $("#" + id + "_de").on('input', function () { BotonGuardarMENS(); });
            $("#" + id + "_texto").on('input', function () { BotonGuardarMENS(); });
            $("#" + id + "_responder_a").on('input', function () { BotonGuardarMENS(); });
            $("#" + id + "_fecha_hora").on('input', function () { BotonGuardarMENS(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarMENS(); });
        }

        function EventsNewMENS() {
            var selr = jQuery('#jqgMENS').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_face").on('change', function () { BotonGuardarMENS(); });
            $("#" + selr + "_de").on('input', function () { BotonGuardarMENS(); });
            $("#" + selr + "_texto").on('input', function () { BotonGuardarMENS(); });
            $("#" + selr + "_responder_a").on('input', function () { BotonGuardarMENS(); });
            $("#" + selr + "_fecha_hora").on('input', function () { BotonGuardarMENS(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarMENS(); });
        }

        function InitializeComponentsMENS() {
            $("#txtDe").on('input', function () { BotonGuardarMENS(); });
            $("#txtResponderA").on('input', function () { BotonGuardarMENS(); });
            $("#txtRecibido").on('input', function () { BotonGuardarMENS(); });
            $("#txtRecibido").on('change', function () { BotonGuardarMENS(); });
            $("#txtMensaje").on('input', function () { BotonGuardarMENS(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridMENS() {
            $("#jqgMENS").jqGrid("setGridParam", { datatype: "json", datatype: GetMENS, loadonce: true });
            $("#jqgMENS").trigger("reloadGrid");
            $("#jqgMENS").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateMENS()
        {
            $('#IdSubElementMENS').val(0);
            ResetFormMENS();
            BotonNuevoMENS();
            EventsNewMENS();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveMENS() {
            PutMENS(0);
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteMENS() {
            var id = $("#jqgMENS").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutMENS(1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelMENS() {
            var id = $("#jqgMENS").jqGrid('getGridParam', 'selrow');
            if (id) {
                var ret = jQuery("#jqgMENS").jqGrid('getRowData', id);

                $('#IdSubElementMENS').val(ret.Id);
                //$('#txtDe').val(ret.de);
                //$('#txtResponderA').val(ret.responder_a);
                //$('#txtRecibido').val(ret.fecha_hora);
                //$('#txtMensaje').val(ret.texto);
                LoadFormMENS();
            }
            else {
                CreateMENS();
            }
            BotonDefaultMENS();
        }

        function BotonDefaultMENS() {
            $('#btnNuevoMENS').button('enable');
            $('#btnEliminarMENS').button('disable');
            $('#btnGuardarMENS').button('disable');
            $('#btnCancelarMENS').button('disable');
        }

        function BotonNuevoMENS() {
            $('#btnNuevoMENS').button('disable');
            $('#btnEliminarMENS').button('disable');
            $('#btnGuardarMENS').button('disable');
            $('#btnCancelarMENS').button('enable');
        }

        function BotonSelectMENS() {
            $('#btnNuevoMENS').button('enable');
            var id = $("#jqgMENS").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarMENS').button('enable');
            }
            else {
                $('#btnEliminarMENS').button('disable');
            }
            $('#btnGuardarMENS').button('disable');
            $('#btnCancelarMENS').button('disable');
        }

        function BotonGuardarMENS() {
            $('#btnNuevoMENS').button('disable');
            $('#btnEliminarMENS').button('disable');
            $('#btnGuardarMENS').button('enable');
            $('#btnCancelarMENS').button('enable');
        }

        function DialogoMensajes(id, face) {
            $('#txtDe').val('');
            $('#txtResponderA').val('');
            $('#txtRecibido').val('');
            $('#txtMensaje').val('');

            $('#IdSubElement').val(face);
            if (parseInt($('#IdSubElement').val()) != 0) {
                var ret = jQuery("#jqgBC").jqGrid('getRowData', id);
                $('#dlgMensajes').dialog('option', 'title', '<%=L.TIT("Mensajes") %>' + ' (' + '<%=L.LBL("LblGENRoom") %>' + ' ' + ret.habitacion + ')');
                RefreshGridMENS();
                $('#dlgMensajes').dialog('open');
            }
        }

        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgMensajes").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 410,
                width: 620,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridBC();
            LoadGridMENS();

            BotonDefaultMENS();

            InitializeComponentsMENS();

            RefreshGridBC();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M2';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="BusquedaClientes.aspx"><%=L.TIT("BusquedaClientes") %> [3.5]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <% /* HIVE */ %>

                <div id="HiddenHive">
                    <div id="HidMENS">

                    </div>
                </div>

                <% /* DLG_MENS */ %>

                <div id="dlgMensajes" title="<%=L.TIT("Mensajes") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>   
                                <input type="hidden" id="IdSubElementMENS" value="0" />
                                <table id="jqgMENS"></table>
                            </td>
                            <td>
                                <table>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENFrom") %>
                                        </td>
                                        <td>
                                            <%=L.LBL("LblFDKResponderA") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="text" id="txtDe" value="" style="width: 180px;" />
                                        </td>
                                        <td>
                                            <input type="text" id="txtResponderA" value="" style="width: 180px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENRecibido") %>
                                        </td>
                                        <td>
                                            
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="text" id="txtRecibido" class="eligeFechaHora" value="<%=string.Format("{0:d}", DateTime.Now) + " " + string.Format("{0:HH:mm:ss}", DateTime.Now) %>" style="width: 150px;" />
                                        </td>
                                        <%--<td style="text-align: right;">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <button type="button" id="btnMensajesOn" onclick="EnviarSenalNoMensajes(0);" >
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/FDK/MensajesOff.png" 
                                                                           alt="<%=L.LBL("LblGENReporte") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnMensajesOff" onclick="EnviarSenalNoMensajes(1);" >
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/FDK/MensajesOn.png" 
                                                                           alt="<%=L.LBL("LblGENReporte") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnNoMolesOn" onclick="EnviarSenalNoMolestar(1);" >
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/FDK/NoMolestarOn.png" 
                                                                           alt="<%=L.LBL("LblGENReporte") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnNoMolesOff" onclick="EnviarSenalNoMolestar(0);" >
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/FDK/NoMolestarOff.png" 
                                                                           alt="<%=L.LBL("LblGENReporte") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>--%>
                                    </tr>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblFDKTextoMensaje") %>
                                        </td>
                                        <td>
                                            
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <textarea id="txtMensaje" style="width: 420px; height: 150px; resize: none;" ></textarea>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <b><%=L.LBL("LblGENRegistrado") %>: </b>
                                            <span id="UsuarioMens"></span>
                                        </td>
                                        <td>
                                            <b><%=L.LBL("LblGENModificado") %>: </b>
                                            <span id="UsuarioMensMod"></span>
                                        </td>
                                    </tr>
                                </table>

                                <br />

                                <table style="width: 100%;">
                                    <tr>
                                        <td colspan="4">
                                            <table style="width: 100%;">
                                                <tr>
                                                    <td>
                                                        <div class="SevenEnlaces">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <input type="checkbox" id="cbEliminadoMENS" onchange="BotonDefaultMENS();RefreshGridMENS();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td style="width: 100%;"></td>
                                                    <td>
                                                        <button type="button" id="btnRepMens" onclick="window.open('Informe.aspx?r=2&id=' + $('#IdSubElementMENS').val(), 'REPMSG');" >
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/printer.png" 
                                                                           alt="<%=L.LBL("LblGENReporte") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnNuevoMENS" onclick="CreateMENS();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarMENS" onclick="DeleteMENS();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img id="btnEliminarIconMENS" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarMENS" onclick="SaveMENS();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarMENS" onclick="CancelMENS();">
                                                                <table>
                                                                    <tr>
                                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnSalirMENS" onclick="$('#dlgMensajes').dialog('close');">
                                                                <table>
                                                                    <tr>
                                                                        <td><img src="img/door-open-in.png" alt="<%=L.LBL("LblGENExit") %>" /></td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("BusquedaClientes") %> [1.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/1-4-busqueda-de-clientes/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table style="text-align: left;">
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_nombre" name="cbFil_nombre" value="1" onclick="RefreshGridBC();" />
                            <%=L.LBL("LblGENName") %>:
                            &nbsp;&nbsp;
                            <input type="checkbox" id="cbPrincipio" name="cbPrincipio" value="1" />
                            <%=L.LBL("LblGENBuscarPrincipio") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbFil_id_naci" name="cbFil_id_naci" value="1" onclick="RefreshGridBC();" />
                            <%=L.LBL("LblFDKSEXNacionalidad") %>:
                        </td>
                        <td>
                            <input type="checkbox" id="cbFil_id_habi" name="cbFil_id_habi" value="1" onclick="RefreshGridBC();" />
                            <%=L.LBL("LblGENRoom") %>:
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" id="txtFil_nombre" value="" onchange="$('input[name=cbFil_nombre]').prop('checked', true);RefreshGridBC();" style="width: 300px;" />
                        </td>
                        <td>
                            <%=cbNacionalidad %>
                        </td>
                        <td>
                            <%=cbHabitacion %>
                        </td>
                        <td>
                            <button type="button" id="btnBuscar" onclick="RefreshGridBC();" >
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/lightning.png" 
                                                alt="<%=L.LBL("LblGENSearch") %>" />
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>
                            
                <input type="hidden" id="IdSubElement" value="0" />
                <input type="hidden" id="IdSubElementBC" value="0" />
                <table id="jqgBC"></table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

